%                       PRT.m
%----------------------------------------------------
%  User Interface for Pressure Sensor optimization
%
 
clear all; figure;

% Initializing System Parameters ...
%   data(1) : Pressure(psi)
%   data(2) : turn
%   data(3) : Rw, Resistor Width (um)
%   data(4) : a , Plate Diameter/Width (um)
%   data(5) : h , Plate Thickness(um)
%   data(6) : sheet_r, Sheet Resistance
%   data(7) : Effective Length
%   data(8) : Temperature (C)
%
%   Si_data(1) = 1:for n-Si, 2: for p-Si
%   Si_data(2) = concentration 
data=[100, 1, 2, 100, 2, 200, 25, 27];
Si_data=[1,1e16];

% Menu Setting -----

labels = str2mat( ...
     '&Circular Plane', ...
     '>&Strain Distribution', ...
     '>>Small Deflection', ...
     '>>Large Deflection', ...
     '>&Effective Length', ...
     '>>Small Deflection', ...
     '>>Large Deflection', ...
     '>Linearity Error', ...
     '>-------', ...
     '>&HOLD ON',...
     '>&HOLD OFF',...
     '>&Grid',...
     '&Square Plane', ...       %%%%%% Square Plate
     '>&Strain Distribution', ...
     '>>Small Deflection', ...
     '>>Large Deflection', ...
     '>&Effective Length', ...
     '>>Small Defleciotn', ...
     '>>Large Deflection', ...
     '>Linearity Error', ...
     '>-------', ...
     '>&HOLD',...
     '>&HOLD OFF',...
     '>&Grid',...
     '&Parameter', ...
     '>Working Environment', ...
     '>Silicon Properties' ...
     );

calls = str2mat( ...
     '', ...
     '', ...
     'cir_dist(1,data)', ...
     'cir_dist(2,data)', ...
     '', ...
     'opt(1,data,Si_data);', ...
     'opt(2,data,Si_data);', ...
     'Lc_error(2,data,Si_data);', ...
     '', ...
     'hold on;',...
     'hold off;',...
     'grid;',...
     '', ...                    %%%%% Square Plate
     '', ...
     'squ_dist(1,data)', ...
     'squ_dist(2,data)', ...
     '', ...
     'opt(3,data,Si_data);', ...
     'opt(4,data,Si_data);', ...
     'Lc_error(4,data,Si_data);', ...
     '', ...
     'hold on;',...
     'hold off;',...
     'grid;',...     
     '',...
     'data=geo_data(data);', ...
     'Si_data=mat_data(Si_data);' ...
     );
handles = makemenu(gcf, labels, calls);
