function cir_dist(choice,in);
%   SubFunction for Strain Distribution in Circular Plate
%     choice : 1. small/  2.large
%      in(1) : Pressure(psi)
%      in(2) : turn
%      in(3) : Rw, Resistor Width (um)
%      in(4) : a , Plate Diameter/Width (um)
%      in(5) : h , Plate Thickness(um)
%      in(6) : sheet_r, Sheet Resistance

q=in(1)*6895;
turn=in(2);
Rw=in(3)*1e-6;
a =in(4)*1e-6;        
h =in(5)*1e-6;       

N=50;
div=a/2/N;
for i=1:N+1
    r=(i-1)*div;
    if choice == 1
      [el(i),et(i)]=sc_strain(q,r,h,a/2);
    elseif choice == 2
      [el(i),et(i)]=lc_strain(q,r,h,a/2);
    end;
    x(i)=r*1e6;
end;
if choice == 1
  plot(x,et,x,el,'r');
elseif choice == 2
  plot(x,et,'-.',x,el,'c-.');
end;

xlabel('X-Axis (\mum)');  ylabel('Strain \epsilon');
title('Strain Distribution');
legend('\epsilon_r','\epsilon_t');
