function [ex,ey]=ls_strain(x,h,a,w0);
% [ex,ey]=ls_strain(q,y,h,a);          
%    Strain_Distribution in SQUARE Plate via LARGE deflection
%     assume y=1e-6  for membrane part
%      P  : Pressure(Pa)
%      y  : Location in Y-Axis
%      h  : Plate Thickness(um)
%      a  : the length of square plate


y=0;
z=-h/2;
%--- q(2) membrane part -------

%  c=0.147*w0*w0/(a/2);    % v=0.25;
c=0.14481*w0*w0/(a/2);  % v=0.27;

w_dx=-w0*pi*sin(pi*x/a)*cos(pi*y/a)/a;
u_dx=2*c*pi*cos(2*pi*x/a)*cos(pi*y/a)/a;
w_dy=-w0*pi*sin(pi*x/a)*cos(pi*y/a)/a;
v_dy=2*c*pi*cos(2*pi*y/a)*cos(pi*x/a)/a;       
      
ex=u_dx+w_dx*w_dx/2;
ey=v_dy+w_dy*w_dy/2;

return;
