function [ex,ey]=ls_strain1(x,h,a,q);
% [ex,ey]=ls_strain1(q,y,h,a);          
%    Strain_Distribution in SQUARE Plate via Burn's paper (Liwei Lin's)
%      q  : Pressure(Pa)
%      y  : Location in Y-Axis
%      h  : Plate Thickness(um)
%      a  : the length of square plate

q=100*6895;

v=0.27;
EE=150e9;     % Young's Modulus
D=EE*h^3/(12*(1-v^2));

y=0;
z=-h/2;

aa=a*a;
N=25;
ex=0;
ey=0;
e0=0;
e0=0.0002;

for m=1:N
  for n=1:N
    bv = q*aa*aa/(4*pi*pi*pi*pi*D*(3*m*m*m*m+2*m*m*n*n+3*n*n*n*n)...
       + 3*pi*pi*aa*(m*m+n*n)*e0*EE*h/(1-v));
    ex = ex - 4*pi*pi*z/aa*bv*m*m*((-1)^m)*cos(2*m*pi*x/a)*(1-(-1)^n)*cos(2*n*pi*y/a);
    ey = ey - 4*pi*pi*z/aa*bv*n*n*(1-(-1)^m)*cos(2*m*pi*x/a)*((-1)^n)*cos(2*n*pi*y/a);
  end;
end;

return;
