function [el,et]=sc_strain(q,r,h,a);
%  [el,et]=sc_strain(q,r,h,a) 
%
%   Strain Distribution in thin circular plate. < SMALL DEFLECTION >
%
%    q : distributed load (Pa) (1psi=6895 Pa)
%    r : raidal location 
%    h : plate thickness 
%    a : plate radius
%    el : longtudial strain (radial direction)
%    et : tangetial strain  (circumferential direction)
%

v=0.27;       % Poisson Ratio
EE=150e9;     % Young's Modulus

% strain in radial direction.
el=-(3*q*a*a*(1-v*v))*(1-3*(r/a)^2)/(8*EE*h*h);

% strain in circumferential direction.
et=-(3*q*a*a*(1-v*v))*(1-(r/a)^2)/(8*EE*h*h);
return;
